Bug 120606 - please add python bindings
Summary: please add python bindings
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: dbus (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: John (J5) Palmieri
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-11 22:43 UTC by David Zeuthen
Modified: 2013-03-13 04:46 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-25 18:11:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for python bindings against dbus 0.20 (1.36 KB, patch)
2004-04-11 22:52 UTC, David Zeuthen
no flags Details | Diff

Description David Zeuthen 2004-04-11 22:43:10 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040312 Epiphany/1.1.12

Description of problem:
The python bindings are not included with dbus. An easy fix is to add

 BuildRequires: Pyrex >= 0.9.2

to the spec file, but this requires the Pyrex package on the build
system. A source package for FC1 can be fetched from

http://primates.ximian.com/~rml/open-carpet/project-utopia/fedora-1/SRPMS/Pyrex-0.9-2.src.rpm


Version-Release number of selected component (if applicable):
dbus-0.20-6

How reproducible:
Always

Steps to Reproduce:
See that the dbus-python package is missing

Additional info:

Comment 1 David Zeuthen 2004-04-11 22:50:48 UTC
if you put in the python bindings then please either update to latest upstream release 
(0.21) or include this patch which is already in 0.21

Comment 2 David Zeuthen 2004-04-11 22:52:19 UTC
Created attachment 99315 [details]
patch for python bindings against dbus 0.20

Comment 3 John (J5) Palmieri 2004-04-20 15:35:56 UTC
Added python bindings to build.  Pyrex was also added which is needed
for the python bindings to build.  I will upgrade to the latest dbus
release today.

Comment 4 John (J5) Palmieri 2004-08-25 18:11:18 UTC
Closing.


Note You need to log in before you can comment on or make changes to this bug.